cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-13772) CLI `cordova requirements` printing out [object Object] in place of some version numbers
Date Fri, 16 Mar 2018 14:47:00 GMT

    [ https://issues.apache.org/jira/browse/CB-13772?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16401992#comment-16401992
] 

ASF GitHub Bot commented on CB-13772:
-------------------------------------

janpio commented on issue #291: CB-13772: print version numbers correctly in "cordova requirements"
URL: https://github.com/apache/cordova-cli/pull/291#issuecomment-373735596
 
 
   Ok, thanks for the update. 
   
   I am a bit careful merging this, as I am not 100% sure this is not somehow environment
dependant or something :/
   
   Anyone have any more insight here?

----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on GitHub and use the
URL above to go to the specific comment.
 
For queries about this service, please contact Infrastructure at:
users@infra.apache.org


> CLI `cordova requirements` printing out [object Object] in place of some version numbers
> ----------------------------------------------------------------------------------------
>
>                 Key: CB-13772
>                 URL: https://issues.apache.org/jira/browse/CB-13772
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: cordova-ios
>    Affects Versions: cordova@8.0.0
>         Environment: macOS High Sierra 10.13.2
> npm v5.6.0
> node v9.4.0
> cordova CLI v8.0.0
>            Reporter: Darcy Meyer
>            Priority: Minor
>
>  When `cordova requirements` is executed, the output prints [object Object] in place
of some of the version numbers.
> e.g.
> {code}
> $ cordova requirements
> Android Studio project detected
> Requirements check results for android:
> Java JDK: installed 1.8.0
> Android SDK: installed true
> Android target: not installed 
> avdmanager: Command failed with exit code 1
> Gradle: not installed 
> Could not find an installed version of Gradle either in Android Studio,
> or on your system to install the gradle wrapper. Please include gradle 
> in your path, or install Android Studio
> Requirements check results for ios:
> Apple macOS: installed darwin
> Xcode: installed [object Object]
> ios-deploy: installed [object Object]
> CocoaPods: installed [object Object]
> {code}
> Here, the versions of the ios requirements are not displayed.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message